import { select } from 'd3';
import { menu } from './menu';

export const viz = (container, options) => {
  const [state, setState] = options;
  const { x, y, color } = state;

  console.log(state.value);

  const optionsData = [
    { value: '', label: '-- Select a pet --'},
    { value: 'dog', label: 'Dog' },
    { value: 'cat', label: 'Cat' },
    { value: 'hamster', label: 'Hamster' },
    { value: 'parrot', label: 'Parrot' },
    { value: 'spider', label: 'Spider' },
    { value: 'goldfish', label: 'Goldfish' },
    { value: 'duck', label: 'Duck' },
  ];

  if(!state.value) {
    setState((prev) => ({
      ...prev,
      value: 'hamster',
    }));
    return;
  }

  select(container).call(menu, {
    optionsData,
    value: state.value,
    onChange: (value) => {
      setState(prev => ({
        ...prev,
        value,
      }))
    },
  });
};
